Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Interface QAbstractIconEngineFactoryV2Interface

All Superinterfaces:
  QAbstractFactoryInterface, QtJambiInterface

All Known Implementing Classes:
  QAbstractIconEngineFactoryV2, QIconEnginePluginV2

    public interface QAbstractIconEngineFactoryV2Interface

extends QtJambiInterface, QAbstractFactoryInterface

Method Summary
`long` | `__qt_cast_to_QAbstractIconEngineFactoryV2(long ptr)` This method is internal to Qt Jambi.
`QIconEngineV2` | `create(java.lang.String filename)` Creates and returns a `QIconEngine` object for the icon with the given `filename`.
`java.util.List<java.lang.String>` | `keys()` Returns a list of icon engine keys that this plugin supports.

Methods inherited from interface com.trolltech.qt.core.QAbstractFactoryInterface
`__qt_cast_to_QAbstractFactory`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### create

    QIconEngineV2 create(java.lang.String filename)

  Creates and returns a `QIconEngine` object for the icon with the given `filename`.

See also:
  `keys()`.

### keys

    java.util.List<java.lang.String> keys()

  Returns a list of icon engine keys that this plugin supports. The keys correspond to the suffix of the file or resource name used when the plugin was created. Keys are case insensitive.

See also:
  `create()`.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`

### __qt_cast_to_QAbstractIconEngineFactoryV2

    long __qt_cast_to_QAbstractIconEngineFactoryV2(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

()">

### keys

    java.util.List<java.lang.String> keys()

  Returns a list of icon engine keys that this plugin supports. The keys correspond to the suffix of the file or resource name used when the plugin was created. Keys are case insensitive.

See also:
  `create()`.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`

### __qt_cast_to_QAbstractIconEngineFactoryV2

    long __qt_cast_to_QAbstractIconEngineFactoryV2(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PR